API para parceiros › Integrações Obter a lista de bots de notificações de pedidos GET /api/crm/v2/bots_ordersv2
operationId: botsOrders.default
Autorização api-token + language + role
Parâmetros de consulta branch_id integer
Exemplo: 8920
Respostas 200
object
status string obrigatório
Valores: successerror
Exemplo: success
data object
filters object
branch_id object (FilterSelectInteger)
value integer
Exemplo: 8920
type string obrigatório
Exemplo: select
option array of object
value integer obrigatório
Exemplo: 8920
name string obrigatório
Exemplo: Green Basket | Kaliningrad
mode string (FilterMode)
Como a interface processa o filtro; filtros comuns não possuem mode. force_shown — sempre exibido, não pode ser ocultado. value_required — ponto de entrada para a seção: sempre exibido, não pode ter valor vazio (enquanto o valor não for selecionado, a lista permanece vazia; não há opção "todos"), a limpeza geral não o redefine.
Valores: force_shownvalue_required
Exemplo: value_required
list array of object
id integer obrigatório
Exemplo: 4938
chat_id integer obrigatório
Exemplo: 1851994916
login string obrigatório
Exemplo: operator-voronezh
type string
Valores: max, telegram_separated, telegram_combined
Exemplo: max
pagination object (Pagination)
max_count integer obrigatório
Número de itens por página
Exemplo: 30
page_number integer obrigatório
Número da página atual; limitado para que o deslocamento não exceda 1000
Exemplo: 1
has_next boolean obrigatório
Existe uma próxima página
Exemplo: true
has_previous boolean obrigatório
Existe uma página anterior
Exemplo: false
curl PHP JavaScript Python Copiar
curl -X GET 'https://foodsoul.pro/api/crm/v2/bots_orders' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: pt' \
-H 'role: partner' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'GET' , 'https://foodsoul.pro/api/crm/v2/bots_orders' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'pt' ,
'role' => 'partner' ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.pro/api/crm/v2/bots_orders" , {
method : "GET" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "pt" ,
"role" : "partner"
},
})
const data = await response . json () import requests
response = requests . request (
"GET" ,
"https://foodsoul.pro/api/crm/v2/bots_orders" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "pt" ,
"role" : "partner" ,
},
)
data = response . json () Resposta 200
{
"status" : "success" ,
"data" : {
"filters" : {
"branch_id" : {
"value" : 8920 ,
"type" : "select" ,
"option" : [
{
"value" : 8920 ,
"name" : "Green Basket | Kaliningrad"
}
],
"mode" : "value_required"
}
},
"list" : [
{
"id" : 4938 ,
"chat_id" : 1851994916 ,
"login" : "operator-voronezh" ,
"type" : "max" ,
"name" : "chat"
}
],
"pagination" : {
"max_count" : 30 ,
"page_number" : 1 ,
"has_next" : true ,
"has_previous" : false
}
}
} As solicitações são enviadas para foodsoul.pro — o host deste portal, não é possível escolher outro.